org.apache.tinkerpop.gremlin.process

## Class TraversalPerformanceTest

- java.lang.Object
- - org.apache.tinkerpop.gremlin.AbstractGremlinTest
  - - org.apache.tinkerpop.gremlin.process.TraversalPerformanceTest

- Deprecated.
  As of release 3.2.0, replaced by gremlin-benchmark.

      @Deprecated
      public class TraversalPerformanceTest
      extends AbstractGremlinTest

  Author:
    Stephen Mallette (http://stephen.genoprime.com), Daniel Kuppitz (http://gremlin.guru)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `TestRule` | `benchmarkRun` Deprecated.
    `static int` | `DEFAULT_BENCHMARK_ROUNDS` Deprecated.
    `static int` | `DEFAULT_WARMUP_ROUNDS` Deprecated.

    - ### Fields inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `config, g, graph, graphProvider, name`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TraversalPerformanceTest()` Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `g_E_hasLabelXwrittenByX_whereXinV_inEXsungByX_count_isX0XX_subgraphXsgX()` Deprecated.
    `void` | `g_V_label_groupCount()` Deprecated.
    `void` | `g_V_localXout_out_valuesXnameX_foldX()` Deprecated.
    `void` | `g_V_match_selectXbX_valuesXnameX()` Deprecated.
    `void` | `g_V_out_localXout_out_valuesXnameX_foldX()` Deprecated.
    `void` | `g_V_out_mapXout_out_valuesXnameX_toListX()` Deprecated.
    `void` | `g_V_out_out_out_path()` Deprecated.
    `void` | `g_V_out_out_out()` Deprecated.
    `void` | `g_V_outE_inV_outE_inV_outE_inV()` Deprecated.
    `void` | `g_V_repeatXoutX_timesX2X()` Deprecated.
    `void` | `g_V_repeatXoutX_timesX3X()` Deprecated.

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `afterLoadGraphWith, assertVertexEdgeCounts, beforeLoadGraphWith, convertToEdgeId, convertToEdgeId, convertToVertex, convertToVertexId, convertToVertexId, convertToVertexProperty, convertToVertexPropertyId, convertToVertexPropertyId, getAssertVertexEdgeCounts, printTraversalForm, setup, tearDown, tryCommit, tryCommit, tryRandomCommit, tryRollback, validateException, verifyUniqueStepIds`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_BENCHMARK_ROUNDS

          public static final int DEFAULT_BENCHMARK_ROUNDS

      Deprecated.
      See Also:
        Constant Field Values

    - #### DEFAULT_WARMUP_ROUNDS

          public static final int DEFAULT_WARMUP_ROUNDS

      Deprecated.
      See Also:
        Constant Field Values

    - #### benchmarkRun

          public TestRule benchmarkRun

      Deprecated.

  - ### Constructor Detail

    - #### TraversalPerformanceTest

          public TraversalPerformanceTest()

      Deprecated.

  - ### Method Detail

    - #### g_V_outE_inV_outE_inV_outE_inV

          public void g_V_outE_inV_outE_inV_outE_inV()
                                              throws Exception

      Deprecated.
      Throws:
        `Exception`

    - #### g_V_out_out_out

          public void g_V_out_out_out()
                               throws Exception

      Deprecated.
      Throws:
        `Exception`

    - #### g_V_out_out_out_path

          public void g_V_out_out_out_path()
                                    throws Exception

      Deprecated.
      Throws:
        `Exception`

    - #### g_V_repeatXoutX_timesX2X

          public void g_V_repeatXoutX_timesX2X()
                                        throws Exception

      Deprecated.
      Throws:
        `Exception`

    - #### g_V_repeatXoutX_timesX3X

          public void g_V_repeatXoutX_timesX3X()
                                        throws Exception

      Deprecated.
      Throws:
        `Exception`

    - #### g_V_localXout_out_valuesXnameX_foldX

          public void g_V_localXout_out_valuesXnameX_foldX()
                                                    throws Exception

      Deprecated.
      Throws:
        `Exception`

    - #### g_V_out_localXout_out_valuesXnameX_foldX

          public void g_V_out_localXout_out_valuesXnameX_foldX()
                                                        throws Exception

      Deprecated.
      Throws:
        `Exception`

    - #### g_V_out_mapXout_out_valuesXnameX_toListX

          public void g_V_out_mapXout_out_valuesXnameX_toListX()
                                                        throws Exception

      Deprecated.
      Throws:
        `Exception`

    - #### g_V_label_groupCount

          public void g_V_label_groupCount()
                                    throws Exception

      Deprecated.
      Throws:
        `Exception`

    - #### g_V_match_selectXbX_valuesXnameX

          public void g_V_match_selectXbX_valuesXnameX()
                                                throws Exception

      Deprecated.
      Throws:
        `Exception`

    - #### g_E_hasLabelXwrittenByX_whereXinV_inEXsungByX_count_isX0XX_subgraphXsgX

          public void g_E_hasLabelXwrittenByX_whereXinV_inEXsungByX_count_isX0XX_subgraphXsgX()
                                                                                       throws Exception

      Deprecated.
      Throws:
        `Exception`

Copyright © 2013–2018 Apache Software Foundation. All rights reserved.